
From: Paolo 'Blaisorblade' Giarrusso <blaisorblade_spam@yahoo.it>

To avoid silly messages coming out during debugging or when things break,
after that we've read in CATCH_EINTR that errno == EINTR, clear it, so that
it's 0 in next iteration.

Signed-off-by: Paolo 'Blaisorblade' Giarrusso <blaisorblade_spam@yahoo.it>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/include/user_util.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/um/include/user_util.h~uml-clear-errno-in-catch_eintr arch/um/include/user_util.h
--- 25/arch/um/include/user_util.h~uml-clear-errno-in-catch_eintr	2004-11-03 19:28:03.138192032 -0800
+++ 25-akpm/arch/um/include/user_util.h	2004-11-03 19:28:03.142191424 -0800
@@ -8,7 +8,7 @@
 
 #include "sysdep/ptrace.h"
 
-#define CATCH_EINTR(expr) while (((expr) < 0) && (errno == EINTR))
+#define CATCH_EINTR(expr) while ((errno = 0, ((expr) < 0)) && (errno == EINTR))
 
 extern int mode_tt;
 
_
